Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http.parser
Class HttpParser

    java.lang.Object
      org.apache.tomcat.util.http.parser.HttpParser

All Implemented Interfaces:
  HttpParserConstants, HttpParserTreeConstants

    public class HttpParser

extends Object
implements HttpParserTreeConstants, HttpParserConstants

Field Summary
`Token` | `jj_nt` Next token.
`protected JJTHttpParserState` | `jjtree`
`Token` | `token` Current token.
`HttpParserTokenManager` | `token_source` Generated Token Manager.

Fields inherited from interface org.apache.tomcat.util.http.parser.HttpParserTreeConstants
`JJTATTRIBUTE, JJTMEDIATYPE, jjtNodeName, JJTPARAMETER, JJTSUBTYPE, JJTTYPE, JJTVALUE`

Fields inherited from interface org.apache.tomcat.util.http.parser.HttpParserConstants
`CHAR, DEFAULT, END_QUOTE, EOF, EQUALS, FORWARD_SLASH, HT, HTTP_TOKEN, HTTP_TOKEN_CHAR, IN_QUOTED_TEXT, LWS, QUOTED_STRING, QUOTED_TEXT, QUOTED_TEXT_CHAR, SEMI_COLON, SP, START_QUOTE, tokenImage`

Constructor Summary
`HttpParser(HttpParserTokenManager tm)` Constructor with generated Token Manager.
`HttpParser(InputStream stream)` Constructor with InputStream.
`HttpParser(InputStream stream, String encoding)` Constructor with InputStream and supplied encoding
`HttpParser(Reader stream)` Constructor.

Method Summary
`void` | `Attribute()`
`void` | `disable_tracing()` Disable tracing.
`void` | `enable_tracing()` Enable tracing.
`ParseException` | `generateParseException()` Generate ParseException.
`Token` | `getNextToken()` Get the next Token.
`Token` | `getToken(int index)` Get the specific Token.
`AstMediaType` | `MediaType()`
`void` | `Parameter()`
`void` | `ReInit(HttpParserTokenManager tm)` Reinitialise.
`void` | `ReInit(InputStream stream)` Reinitialise.
`void` | `ReInit(InputStream stream, String encoding)` Reinitialise.
`void` | `ReInit(Reader stream)` Reinitialise.
`void` | `SubType()`
`void` | `Type()`
`void` | `Value()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jjtree

    protected JJTHttpParserState jjtree

### token_source

    public HttpParserTokenManager token_source

  Generated Token Manager.

### token

    public Token token

  Current token.

### jj_nt

    public Token jj_nt

  Next token.

Constructor Detail

### HttpParser

    public HttpParser(InputStream stream)

  Constructor with InputStream.

### HttpParser

    public HttpParser(InputStream stream,
                      String encoding)

  Constructor with InputStream and supplied encoding

### HttpParser

    public HttpParser(Reader stream)

  Constructor.

### HttpParser

    public HttpParser(HttpParserTokenManager tm)

  Constructor with generated Token Manager.

Method Detail

### MediaType

    public final AstMediaType MediaType()
                                 throws ParseException

  Throws:
    `ParseException`

### Type

    public final void Type()
                    throws ParseException

  Throws:
    `ParseException`

### SubType

    public final void SubType()
                       throws ParseException

  Throws:
    `ParseException`

### Parameter

    public final void Parameter()
                         throws ParseException

  Throws:
    `ParseException`

### Attribute

    public final void Attribute()
                         throws ParseException

  Throws:
    `ParseException`

### Value

    public final void Value()
                     throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(InputStream stream)

  Reinitialise.

### ReInit

    public void ReInit(InputStream stream,
                       String encoding)

  Reinitialise.

### ReInit

    public void ReInit(Reader stream)

  Reinitialise.

### ReInit

    public void ReInit(HttpParserTokenManager tm)

  Reinitialise.

### getNextToken

    public final Token getNextToken()

  Get the next Token.

### getToken

    public final Token getToken(int index)

  Get the specific Token.

### generateParseException

    public ParseException generateParseException()

  Generate ParseException.

### enable_tracing

    public final void enable_tracing()

  Enable tracing.

### disable_tracing

    public final void disable_tracing()

  Disable tracing.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.